## dokuwiki-templates-extra 20241201

=== Makefile ===
# Progress Linux: dokuwiki-templates-extra

# Copyright (C) 2024 Daniel Baumann <daniel.baumann@progress-linux.org>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

SOFTWARE = dokuwiki-templates-extra
VERSION := $(shell cat VERSION.txt)

TEMPLATES_VERSION := current

templates-%:
	@cd templates/$(TEMPLATES_VERSION); \
	for TEMPLATE in *.mk;  \
	do \
		echo "################################################################################"; \
		echo "$${TEMPLATE}: $$(echo ${@} | cut -d- -f2-)"; \
		echo "################################################################################"; \
		$(MAKE) -f $${TEMPLATE} $$(echo ${@} | cut -d- -f2-); \
	done

package-test:

package-build: share/man/*.rst
	$(MAKE) -C share/man

	sed -n '/^===/,$$p' share/man/$(SOFTWARE).7.rst > README.txt

package-install: package-build
	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	cp -r CHANGELOG.txt LICENSE.txt README.txt share/doc/* $(DESTDIR)/usr/share/doc/$(SOFTWARE)

	for SECTION in $$(seq 1 8); \
	do \
		if ls share/man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp share/man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

package-uninstall:
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in share/man/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

	rm -rf $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/doc || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

package-clean:
	$(MAKE) -C share/man clean

	rm -f README.txt

all: build

test: templates-test package-test

build: templates-build package-build

install: templates-install package-install

uninstall: templates-uninstall package-uninstall

clean: templates-clean package-clean

distclean: clean
	rm -rf $(SOFTWARE)-$(VERSION)

reinstall: uninstall install

release: distclean
	git commit -a -s -S -m 'Releasing version $(VERSION).' || true
	git tag -s -m 'Tagging version $(VERSION).' v$(VERSION) || true

	mkdir -p $(SOFTWARE)-$(VERSION)
	find . -mindepth 1 -maxdepth 1 -and -not -name ".git*" -and -not -name debian -and -not -name $(SOFTWARE)-$(VERSION) -exec cp \-a {} $(SOFTWARE)-$(VERSION) \;

	for FORMAT in xz lzip; \
	do \
		TEMPLATE=$$(echo $${FORMAT} | cut -b-2); \
		tar --$${FORMAT} -cf ../$(SOFTWARE)-$(VERSION).tar.$${TEMPLATE} $(SOFTWARE)-$(VERSION); \
		sha512sum ../$(SOFTWARE)-$(VERSION).tar.$${TEMPLATE} > ../$(SOFTWARE)-$(VERSION).tar.$${TEMPLATE}.sha512; \
		gpg --default-key 0x3E6CA28DAAF8DD14 --armor -b ../$(SOFTWARE)-$(VERSION).tar.$${TEMPLATE}; \
		mv ../$(SOFTWARE)-$(VERSION).tar.$${TEMPLATE}.asc ../$(SOFTWARE)-$(VERSION).tar.$${TEMPLATE}.sig; \
	done

	rm -rf $(SOFTWARE)-$(VERSION)

upload:
	scp ../$(SOFTWARE)-$(VERSION).* get.progress-linux.org:/srv/get.progress-linux.org/packages/$(SOFTWARE)/upstream

=== share/man/Makefile ===
# Progress Linux: dokuwiki-templates-extra

# Copyright (C) 2024 Daniel Baumann <daniel.baumann@progress-linux.org>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# Depends: python3-docutils

RST2MAN = rst2man \
	--no-datestamp \
	--no-generator \
	--strict \
	--strip-comments \
	--tab-width=4 \
	--verbose

VERSION := $(shell cat ../../VERSION.txt)

SHELL := sh -e

all: build

build: man

rebuild: clean build

man: man.in *.rst
	@echo -n "Creating manpages... "

	@for FILE in *.rst; \
	do \
		cp man.in $$(basename $${FILE} .rst); \
		$(RST2MAN) $${FILE} | \
		sed	-e '/^.\\" Man page generated/d' \
			-e '/^.\\" Generated by/d' \
			-e "s|^\(.TH .*\) \(\"\" \"\"\) |\1 $${VERSION} dokuwiki-templates-extra |" \
		>> $$(basename $${FILE} .rst); \
		echo -n "."; \
	done

	@echo " done."

clean:
	rm -f *.[0-9]

.PHONY: all clean build rebuild man

=== debian/changelog ===
dokuwiki-templates-extra (20241201-6) sid; urgency=medium

  * Adding watch file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 08 Sep 2025 09:31:30 +0200

dokuwiki-templates-extra (20241201-5) sid; urgency=medium

  * Adding initial Spanish debconf translations from Camaleón
    <noelamac@gmail.com> (Closes: #1101908).
  * Adding initial Dutch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #1101948).
  * Adding initial Portuguese debconf translations from Américo Monteiro
    <a_monteiro@gmx.com> (Closes: #1102090).

 -- Daniel Baumann <daniel@debian.org>  Wed, 09 Apr 2025 16:12:18 +0200

dokuwiki-templates-extra (20241201-4) sid; urgency=medium

  * Adding German debconf translations from Helge Kreutzmann
    <debian@helgefjell.de> (Closes: #1101038).

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Mar 2025 10:35:42 +0100

dokuwiki-templates-extra (20241201-3) sid; urgency=medium

  * Adding initial Brazilian Portuguese debconf translation from Pablo
    Lucas Silva Santos <pablolucas890@gmail.com> (Closes: #1100952).

 -- Daniel Baumann <daniel@debian.org>  Fri, 21 Mar 2025 01:16:09 +0100

dokuwiki-templates-extra (20241201-2) sid; urgency=medium

  * Correcting copyright to reflect overall license is GPL-3+, thanks to
    Thorsten Alteholz <alteholz@debian.org>.
  * Using codename instead of suitname in changelog.
  * Updating year in debian copyright for 2025.
  * Adding vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Mon, 17 Mar 2025 07:53:42 +0100

dokuwiki-templates-extra (20241201-1) sid; urgency=low

  * Initial upload to sid.

 -- Daniel Baumann <daniel@debian.org>  Thu, 12 Dec 2024 19:12:55 +0100

=== debian/control ===
Source: dokuwiki-templates-extra
Section: web
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 python3-docutils,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://forgejo.debian.net/dokuwiki/dokuwiki-templates-extra
Vcs-Git: https://forgejo.debian.net/dokuwiki/dokuwiki-templates-extra

Package: dokuwiki-templates-extra
Section: web
Architecture: all
Depends:
 dokuwiki (>= ${dokuwiki:Depends:low}~),
 dokuwiki (<< ${dokuwiki:Depends:high}~),
 ${misc:Depends},
Enhances:
 dokuwiki,
Provides:
 dokuwiki-template-ad-hominem (= 2024-10-07),
Description: Conglomeration package of DokuWiki templates
 The dokuwiki-templates-extra contains the following templates for
 DokuWiki:
 .
   * ad-hominem:
     Simple and lightweight, but modernized version of the default template

=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://apt.progress-linux.org/archive/upstream/dokuwiki-templates-extra/dokuwiki-templates-extra-(.+)\.tar\.lz

## dokuwiki-templates-extra 20251230

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-# Progress Linux: dokuwiki-templates-extra
+# Debian: dokuwiki-templates-extra
 
-# Copyright (C) 2024 Daniel Baumann <daniel.baumann@progress-linux.org>
+# Copyright (C) 2024-2025 Daniel Baumann <daniel@debian.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
@@ -103,11 +103,11 @@
 		TEMPLATE=$$(echo $${FORMAT} | cut -b-2); \
 		tar --$${FORMAT} -cf ../$(SOFTWARE)-$(VERSION).tar.$${TEMPLATE} $(SOFTWARE)-$(VERSION); \
 		sha512sum ../$(SOFTWARE)-$(VERSION).tar.$${TEMPLATE} > ../$(SOFTWARE)-$(VERSION).tar.$${TEMPLATE}.sha512; \
-		gpg --default-key 0x3E6CA28DAAF8DD14 --armor -b ../$(SOFTWARE)-$(VERSION).tar.$${TEMPLATE}; \
+		gpg --default-key 0xFBB4F0E80A80222F --armor -b ../$(SOFTWARE)-$(VERSION).tar.$${TEMPLATE}; \
 		mv ../$(SOFTWARE)-$(VERSION).tar.$${TEMPLATE}.asc ../$(SOFTWARE)-$(VERSION).tar.$${TEMPLATE}.sig; \
 	done
 
 	rm -rf $(SOFTWARE)-$(VERSION)
 
 upload:
-	scp ../$(SOFTWARE)-$(VERSION).* get.progress-linux.org:/srv/get.progress-linux.org/packages/$(SOFTWARE)/upstream
+	scp ../$(SOFTWARE)-$(VERSION).* apt.fastforward.deb822.org:/srv/apt.fastforward.deb822.org/archive/upstream/$(SOFTWARE)

=== share/man/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-# Progress Linux: dokuwiki-templates-extra
+# Debian: dokuwiki-templates-extra
 
-# Copyright (C) 2024 Daniel Baumann <daniel.baumann@progress-linux.org>
+# Copyright (C) 2024-2025 Daniel Baumann <daniel@debian.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #

=== debian/changelog ===
dokuwiki-templates-extra (20251230-2) sid; urgency=medium

  * Wrap and sorting debian files.
  * Updating URL in watch file.

 -- Daniel Baumann <daniel@debian.org>  Tue, 24 Feb 2026 16:21:37 +0100

dokuwiki-templates-extra (20251230-1) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Updating to standards version 4.7.3.
  * Merging upstream version 20251230.
  * Updating control for upstream version 20251230.
  * Updating copyright for upstream version 20251230.
  * Updating rules for upstream version 20251230.
  * Updating watch file to version 5.
  * Adding upstream sigining-key.
  * Adding initial Catalan debconf translations from poc senderi
    <pocsenderi@protonmail.com> (Closes: #1123638).

 -- Daniel Baumann <daniel@debian.org>  Tue, 30 Dec 2025 10:37:14 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  python3-docutils,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://forgejo.debian.net/dokuwiki/dokuwiki-templates-extra
 Vcs-Git: https://forgejo.debian.net/dokuwiki/dokuwiki-templates-extra
 
@@ -14,13 +13,13 @@
 Section: web
 Architecture: all
 Depends:
+ dokuwiki (<< ${dokuwiki:Depends:high}~),
  dokuwiki (>= ${dokuwiki:Depends:low}~),
- dokuwiki (<< ${dokuwiki:Depends:high}~),
  ${misc:Depends},
 Enhances:
  dokuwiki,
 Provides:
- dokuwiki-template-ad-hominem (= 2024-10-07),
+ dokuwiki-template-ad-hominem (= 2025-09-12),
 Description: Conglomeration package of DokuWiki templates
  The dokuwiki-templates-extra contains the following templates for
  DokuWiki:

=== debian/rules ===
#!/usr/bin/make -f

TEMPLATES_VERSION = 56

DOKUWIKI_DEPENDS_LOW = 2025-05-14
DOKUWIKI_DEPENDS_HIGH = 2026

%:
	dh ${@}

execute_after_dh_auto_clean:
	rm -f templates/current

execute_before_dh_auto_build:
	ln -s $(TEMPLATES_VERSION) templates/current

execute_after_dh_auto_install:
	# removing unused files
	rm -f debian/dokuwiki-templates-extra/usr/share/doc/*/CHANGELOG.txt
	rm -f debian/dokuwiki-templates-extra/usr/share/doc/*/LICENSE.txt

override_dh_gencontrol:
	dh_gencontrol -- \
		-Vdokuwiki:Depends:low="$(DOKUWIKI_DEPENDS_LOW)" \
		-Vdokuwiki:Depends:high="$(DOKUWIKI_DEPENDS_HIGH)"

=== debian/watch ===
Version: 5

Source: https://archive.fastforward.debian.net/archive/upstream/dokuwiki-templates-extra
